Bug 525474 - bash/readline not detecting window resize properly
Summary: bash/readline not detecting window resize properly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: bash
Version: 5.5
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Roman Rakus
QA Contact: BaseOS QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-24 14:19 UTC by Adam Stokes
Modified: 2018-11-14 19:51 UTC (History)
4 users (show)

Fixed In Version: bash-3.2-29.el5
Doc Type: Bug Fix
Doc Text:
Bash's readline incorrectly displayed additional text when resizing the terminal window when text spanned more than one line, which caused incorrect display output. This is now fixed to ensure that text in more than one line in a resized window displays as expected.
Clone Of:
Environment:
Last Closed: 2011-07-21 10:38:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1073 normal SHIPPED_LIVE Low: bash security, bug fix, and enhancement update 2011-07-21 10:37:04 UTC

Description Adam Stokes 2009-09-24 14:19:39 UTC
Description of problem:
bash/readline not detecting window resize properly

Version-Release number of selected component (if applicable):
bash 3.2-24

How reproducible:
100%

Steps to Reproduce:
       1. set terminal window width to about 106
       2. type long line  
               vi      /dcfdfdfd/fdfdfdfd/fdfdfdfdfd/fdfdfdfdfd/fdfdfddffdtr4trt/g.java
          so there may spaces between vi and file name such that the line wrapes.
       3. Press enter, vi will be started.
       4. exit from vi.
       5. press arrow up, so the long command will show up again.
       6. move cursor and put few more spaces (10-15) between vi and filename.
       7. Increase terminal width to about 120-130. You will see garbage on screen, like this:
               vi      /dcfdfdfd/fdfdfdfd/fdfdfdfdfd/fdfdfdfdfd/fdfdfddffdt
       fdtr4trt/g.javaaa 
  
Actual results:
               vi      /dcfdfdfd/fdfdfdfd/fdfdfdfdfd/fdfdfdfdfd/fdfdfddffdt
       fdtr4trt/g.javaaa 

Expected results:
               vi      /dcfdfdfd/fdfdfdfd/fdfdfdfdfd/fdfdfdfdfd/fdfdfddffdt
       fdtr4trt/g.java

Additional info:
Fixed in bash4.0/readline 6.0

Comment 2 RHEL Product and Program Management 2009-11-06 18:58:43 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 4 RHEL Product and Program Management 2010-08-09 19:06:07 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.

Comment 5 Roman Rakus 2011-03-28 10:30:21 UTC
Should be fixed in bash-3.2-29.el5.

Can you please check this version? I have done a bit testing, but I'd like to be more sure if it doesn't introduce any more glitches.

Comment 8 Misha H. Ali 2011-04-20 09:14:50 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Bash's readline incorrectly displayed text when resizing the terminal window when text was on more than one line. This is now fixed to ensure that text in more than one line in a resized window displays as expected.

Comment 9 Misha H. Ali 2011-04-20 09:39:15 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-Bash's readline incorrectly displayed text when resizing the terminal window when text was on more than one line. This is now fixed to ensure that text in more than one line in a resized window displays as expected.+Bash's readline incorrectly displayed additional text when resizing the terminal window when text spanned more than one line, which caused incorrect display output. This is now fixed to ensure that text in more than one line in a resized window displays as expected.

Comment 10 errata-xmlrpc 2011-07-21 10:38:51 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-1073.html


Note You need to log in before you can comment on or make changes to this bug.